Api referenceProjects
Sync editor state
Replace the persisted editor state for the project.
This endpoint is designed for autosave.
Use a moderate sync frequency and back off when the API returns 429 OPEN_API_PROJECT_SYNC_RATE_LIMITED.
Authorization
BearerAuth AuthorizationBearer <token>
Send an existing generated API key as Authorization: Bearer sk_indream_....
OAuth access tokens are not accepted by the Open API.
Enter the API key manually in the interactive docs playground.
The value is stored only in the current browser and is not injected from server environment variables.
In: header
Path Parameters
projectId*string
Format
uuidRequest Body
application/json
editorState*
stateSchemaVersion*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.indream.ai/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/sync" \ -H "Content-Type: application/json" \ -d '{ "editorState": { "stateSchemaVersion": "v1", "compositionWidth": 50, "compositionHeight": 50, "timebaseTicksPerSecond": 240000, "tracks": [ { "id": "string", "items": [ "string" ], "hidden": true, "muted": true } ], "assets": { "property1": { "id": "string", "type": "image", "filename": "string", "size": 0, "mimeType": "string", "width": 1, "height": 1 }, "property2": { "id": "string", "type": "image", "filename": "string", "size": 0, "mimeType": "string", "width": 1, "height": 1 } }, "items": { "property1": { "id": "string", "type": "image", "durationTicks": 1, "startTicks": 0, "isDraggingInTimeline": true, "top": { "value": 0, "keyframes": [ { "timeTicks": 0, "value": 0 } ] }, "left": { "value": 0, "keyframes": [ { "timeTicks": 0, "value": 0 } ] }, "width": { "value": 0, "keyframes": [ { "timeTicks": 0, "value": 0 } ] }, "height": { "value": 0, "keyframes": [ { "timeTicks": 0, "value": 0 } ] }, "scaleX": { "value": 0, "keyframes": [ { "timeTicks": 0, "value": 0 } ] }, "scaleY": { "value": 0, "keyframes": [ { "timeTicks": 0, "value": 0 } ] }, "opacity": { "value": 0, "keyframes": [ { "timeTicks": 0, "value": 0 } ] }, "assetId": "string", "keepAspectRatio": true, "borderRadius": { "value": 0, "keyframes": [ { "timeTicks": 0, "value": 0 } ] }, "rotation": { "value": 0, "keyframes": [ { "timeTicks": 0, "value": 0 } ] } }, "property2": { "id": "string", "type": "image", "durationTicks": 1, "startTicks": 0, "isDraggingInTimeline": true, "top": { "value": 0, "keyframes": [ { "timeTicks": 0, "value": 0 } ] }, "left": { "value": 0, "keyframes": [ { "timeTicks": 0, "value": 0 } ] }, "width": { "value": 0, "keyframes": [ { "timeTicks": 0, "value": 0 } ] }, "height": { "value": 0, "keyframes": [ { "timeTicks": 0, "value": 0 } ] }, "scaleX": { "value": 0, "keyframes": [ { "timeTicks": 0, "value": 0 } ] }, "scaleY": { "value": 0, "keyframes": [ { "timeTicks": 0, "value": 0 } ] }, "opacity": { "value": 0, "keyframes": [ { "timeTicks": 0, "value": 0 } ] }, "assetId": "string", "keepAspectRatio": true, "borderRadius": { "value": 0, "keyframes": [ { "timeTicks": 0, "value": 0 } ] }, "rotation": { "value": 0, "keyframes": [ { "timeTicks": 0, "value": 0 } ] } } }, "transitions": { "property1": { "id": "string", "trackId": "string", "fromClipId": "string", "toClipId": "string", "type": "fade", "durationTicks": 1 }, "property2": { "id": "string", "trackId": "string", "fromClipId": "string", "toClipId": "string", "type": "fade", "durationTicks": 1 } } }, "stateSchemaVersion": "v1" }'{
"data": {
"projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
"stateSchemaVersion": "v1",
"updatedAt": "2019-08-24T14:15:22Z"
},
"meta": {}
}{
"type": "FORBIDDEN",
"title": "Forbidden",
"status": 403,
"detail": "The current account is not eligible for this Open API route",
"errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}{
"type": "FORBIDDEN",
"title": "Forbidden",
"status": 403,
"detail": "The current account is not eligible for this Open API route",
"errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}{
"type": "FORBIDDEN",
"title": "Forbidden",
"status": 403,
"detail": "The current account is not eligible for this Open API route",
"errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}{
"type": "FORBIDDEN",
"title": "Forbidden",
"status": 403,
"detail": "The current account is not eligible for this Open API route",
"errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}{
"type": "FORBIDDEN",
"title": "Forbidden",
"status": 403,
"detail": "The current account is not eligible for this Open API route",
"errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}{
"type": "FORBIDDEN",
"title": "Forbidden",
"status": 403,
"detail": "The current account is not eligible for this Open API route",
"errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}